Package org.apache.wiki.htmltowiki.syntax

## Class ThDecorator

- java.lang.Object
- - org.apache.wiki.htmltowiki.syntax.ThDecorator

    public abstract class ThDecorator
    extends java.lang.Object

Translates to wiki syntax from a `TH` element.

### Field Summary

Fields
`protected XHtmlElementToWikiTranslator` `chain`
`protected java.io.PrintWriter` `out`
`protected java.util.Deque<java.lang.String>` `preStack`

### Constructor Summary

Constructors
`protected` `ThDecorator​(java.io.PrintWriter out, java.util.Deque<java.lang.String> preStack, XHtmlElementToWikiTranslator chain)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `decorate​(org.jdom2.Element element)` Translates the given XHTML element into wiki markup.
`protected abstract java.lang.String` `markupTh()` Wiki markup for a `TH` element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### out

    protected final java.io.PrintWriter out

#### preStack

    protected final java.util.Deque<java.lang.String> preStack

#### chain

    protected final XHtmlElementToWikiTranslator chain

### Constructor Detail

#### ThDecorator

    protected ThDecorator​(java.io.PrintWriter out,
                          java.util.Deque<java.lang.String> preStack,
                          XHtmlElementToWikiTranslator chain)

### Method Detail

#### decorate

    public void decorate​(org.jdom2.Element element)
                  throws org.jdom2.JDOMException

Translates the given XHTML element into wiki markup.

Parameters:
  `element` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

#### markupTh

    protected abstract java.lang.String markupTh()

Wiki markup for a `TH` element.

Returns:
  Wiki markup for a `TH` element.